using System;

namespace ConsoleApp6
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split(' ');
            long p = Convert.ToInt64(s[0]);
            long q = Convert.ToInt64(s[1]);
            long r = Convert.ToInt64(s[2]);
            long L = Convert.ToInt64(s[3]);
            long R = Convert.ToInt64(s[4]);
            float kolq;
            float kolp;
            float kolr;
            long k=0;          
            for(long i = L; i <= R; i++)
            {
                kolq = (float)i / q;
                kolr = (float)i / r;
                kolp = (float)i / p;
                for (float j = 1; j < R; j++)
                {
                    if (kolq < j && kolq > j - 1) kolq = j;
                    if (kolp < j && kolp > j - 1) kolq = j;
                    if (kolr < j && kolr > j - 1) kolr = j;
                }
                if ((kolp + kolr + kolq) <= i)
                {
                    k++;
                }
            }
            Console.WriteLine(k.ToString());
        }
    }
}